JmxServerNotificationAgent.BroadcastNotificationService (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.JmxServerNotificationAgent.BroadcastNotificationService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class JmxServerNotificationAgent.BroadcastNotificationService

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          org.mule.module.management.agent.JmxServerNotificationAgent.BroadcastNotificationService

All Implemented Interfaces:
  NotificationBroadcaster, NotificationEmitter, JmxServerNotificationAgent.BroadcastNotificationServiceMBean

Enclosing class:
  JmxServerNotificationAgent

    public static class JmxServerNotificationAgent.BroadcastNotificationService

extends NotificationBroadcasterSupport
implements JmxServerNotificationAgent.BroadcastNotificationServiceMBean

Constructor Summary
`JmxServerNotificationAgent.BroadcastNotificationService()`

Method Summary

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Constructor Detail

### JmxServerNotificationAgent.BroadcastNotificationService

    public JmxServerNotificationAgent.BroadcastNotificationService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.